Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001085Frama-CDocumentationpublic2012-02-08 10:512016-06-21 14:24
Reporterpascal 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001085: Cute boolean options too cute for their own good
Description$ bin/toplevel.opt -kernel-help
Description: General options provided by the Frama-C kernel

Most options of the form '-option-name' and without any parameter
have an opposite with the name '-no-option-name'.

***** LIST OF AVAILABLE OPTIONS:

*** ANALYSIS OPTIONS

...
-safe-arrays for arrays that are fields inside structs, assume that
                    accesses are in bounds (set by default)
...

There is no way to know that the option to unset this option is -unsafe-arrays
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002677)
signoles (manager)
2012-02-08 14:04

I agree that it would be better to give the non-standard opposite name (if any) of the option in its description.

Note however that you already get:
$ frama-c -kernel-help
...
-safe-arrays ...
...
-unsafe-arrays opposite of option "-safe-arrays"
...
(0002982)
yakobowski (manager)
2012-04-29 14:44

It seems there has been a regression following the resolution of this bug:

frama-c -kernel-help
[...]
-unsafe-arrays undocumented
(0002983)
signoles (manager)
2012-04-29 20:20

The regression probably comes from commit 18346 instead of 18359. Will be fixed tomorrow.

- Issue History
Date Modified Username Field Change
2012-02-08 10:51 pascal New Issue
2012-02-08 10:51 pascal Status new => assigned
2012-02-08 10:51 pascal Assigned To => signoles
2012-02-08 14:04 signoles Note Added: 0002677
2012-02-08 14:04 signoles Status assigned => acknowledged
2012-04-27 11:24 svn Checkin
2012-04-27 11:24 svn Status acknowledged => resolved
2012-04-27 11:24 svn Resolution open => fixed
2012-04-29 14:44 yakobowski Note Added: 0002982
2012-04-29 14:44 yakobowski Status resolved => feedback
2012-04-29 14:44 yakobowski Resolution fixed => reopened
2012-04-29 20:20 signoles Note Added: 0002983
2012-04-30 09:47 svn Checkin
2012-04-30 09:47 signoles Status feedback => resolved
2012-04-30 09:47 signoles Resolution reopened => fixed
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2016-06-21 14:11 signoles Category Documentation => Documentation > ACSL
2016-06-21 14:24 signoles Category Documentation > ACSL => Documentation


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker